#pragma once

#include "CoreMinimal.h"
#include "WeaponEnums.generated.h"

UENUM(BlueprintType)
enum class WeaponNames : uint8
{
	Pistol = 0 UMETA(DisplayName = "Pistol"),
	Rifle = 1 UMETA(DisplayName = "Rifle"),
	Shotgun = 2 UMETA(DisplayName = "Shotgun"),
	Sniper = 3 UMETA(DisplayName = "Sniper")
};